#!/bin/sh
#----------------------------------------------------------------------------
# /tmp/install.sh - system-user-mysql installation
#
# Creation   :  2023-08-29 holbru
# Last update:  $Id: install.sh 106677 2023-10-03 13:54:24Z hbfl $
#
# Copyright (c) 2023-2023 Holger Bruenjes, holgerbruenjes(at)gmx(dot)net
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#----------------------------------------------------------------------------

# set package name
package_name=system-user-mysql

# Create MySQL group and user
# ---------------------------------------------------------------------------
/usr/sbin/sysusers2shadow system-user-mysql.conf <<'EOF'
u mysql - "MySQL daemon" /srv/mysql
EOF

run_user='mysql'
home_dir='/srv/mysql'

is_user=$(awk -F: '$1 ~ /^'${run_user}'$/ {print $3}' /etc/passwd)

if [ ${is_user:-0} -gt 500 ]
then
    /var/install/bin/remove-user -f ${run_user} y >/dev/null 2>&1

/usr/sbin/sysusers2shadow system-user-mysql.conf <<'EOF'
u mysql - "MySQL daemon" /srv/mysql
EOF

    /usr/bin/find / -uid "${is_user}" -exec chown "${run_user}:${run_user}" {} \; 2>/dev/null &
fi

if ! /usr/bin/getent passwd ${run_user} | /usr/bin/cut -d: -f6 | /usr/bin/grep -q "${home_dir}" >/dev/null 2>&1
then
    /var/install/bin/modify-user -d mysql ${home_dir}
fi

if ! /usr/bin/getent passwd ${run_user} | /usr/bin/cut -d: -f7 | /usr/bin/grep -q "/sbin/nologin" >/dev/null 2>&1
then
    /var/install/bin/modify-user -s mysql /sbin/nologin
fi

exit 0
# ---------------------------------------------------------------------------
# end
# ---------------------------------------------------------------------------
